开发者社区> su9257_海澜> 正文
阿里云
为了无法计算的价值
打开APP
阿里云APP内打开

Unity SDK JDK 环境配置 避免各种莫名其妙的报错

简介: 在进行Unity Android打包的时候总会遇到一些错误,错误无非一下几大类 SDK版本过高或者过低 JDK版本过高或者过低 ADB环境变量没有配置 Java环境变量没有配置 SDK文件夹中的文件命名错误 以下介绍一些配置环境的流程帮助大家能够正常打包android.
+关注继续查看
在进行Unity Android打包的时候总会遇到一些错误,错误无非一下几大类
  • SDK版本过高或者过低
  • JDK版本过高或者过低
  • ADB环境变量没有配置
  • Java环境变量没有配置
  • SDK文件夹中的文件命名错误

以下介绍一些配置环境的流程帮助大家能够正常打包android.apk ,先在unity中添加正确的JDK和SDK路径

img_5509abed75a438b203279f3f9437f43e.png

对应基础文件下载链接

目前使用Unity版本为 5.4.4 Win10系统

首先配置SDK环境


img_5f645848075e421ac96ea5017d71a5e9.png

img_1fb059eea4e5fd6240030bc6531f7d3a.png

img_c131c21371dc1a463fa321159ae0feb7.png
img_f867de9f7f3476f83afccffd68122328.png
配置环境变量主要都是在这个界面里面操作,配置环境变量的用途就是告诉系统对应的SDK 或者JDK里面的程序在哪里,方便系统运行
img_3ca2c8320ce87c15f7323a09c454f8f8.png
我的SDK放在了C盘的SDK文件夹
img_42ae9fab9a6286edc08943b642cb0e16.png
点击确认配置SDK的路径变量
img_0eb26f725d629b44ebb22acd45033b99.png
然后把SDK的环境变量添加到Path变量里面,path变量存储多个变量,每一条变量都对应其中的路径
img_f1b4a07f0484be9d2d79d2aad6913d25.png
点击新建,分辨把platform-tools和tools文件夹添加进去,%ANDROID_HOME%表示前面的C:/SDK路径的缩写,也就是咱们刚才配置好的SDK变量,然后在后面里面对应的子文件夹,注意后面的分隔符是反斜杠(\)
img_0e85b254cb0eb13dbcb2722f1bb22b82.png
都添加完毕后按快捷键 win+R ,运行cmd
img_d696e86484f26952f38036fe2fbab6e2.png
输入adb 回车
img_01ea36faf107406e27b2e743849c9780.png
出现下面这种情况证明配置成功
img_70da997c5d54495108eb2a027166a769.png
在命令行中输出android -h会出现
img_e156d1d7016f6cef1ad7689c2ec9ca89.png

JDK环境变量和SDK类似 也是新建一个JDK的变量

img_b32906a43fbf892bc478f76c2de4dd10.png
然后在Path变量中添加JDK变量,添加的是JDK中的子文件夹bin
img_cb2898cbdadcfc4f6ed57f71c4781a38.png
然后和刚才的SDK执行命令的操作一样,在命令行中输入java回车,如果显示如下这种结果则证明JDK环境变量配置成功
img_54163698c5c3cbcde7bd02c23184c6fd.png

现在SDK和JDK的环境变量已经配置成功

接下来用sdk里面的SDK Manager下载合适的SDK版本,我目前下载到25.0.3

img_c380dd7f790351892793409dab290841.png
img_2364d8e0473c9afbf87b0573e24bb9e3.png
每个API中并不是所有的都需要安装
img_352755a7e46837af07ae4afc1e3efdc8.png
现在uniy最低的配置是安装 Android6.0的 API 23,在安装对应的API后会在SDK的子文件夹platforms中出现对应的API文件夹
img_321cc6f4a757a1493d873f19705e8345.png

img_5175cd962716718c5600b5aa4570eb2a.png

但是有时候对应API的文件夹命名并不是这样,可能会是如下情况

img_6c6e35773e818d30e25dc5084241d872.png

或造成提示升级 UnityException: Minimum platform required is Android 6.0 (API level 23)

UnityEditor.Android.PostProcessor.Tasks.CheckAndroidSdk.EnsureSDKPlatformAPI的错误


img_206eabe176f888cf41ac505fc5a0d945.png

这种情况下只需要下载对应的API后把platforms文件夹下的子文件夹改成正确的命名就可以打包了

版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

相关文章
Pod安装神策SDK报错Remote branch v2.1.3 not found in upstream origin
Pod安装神策SDK报错Remote branch v2.1.3 not found in upstream origin
0 0
【错误记录】Google Play 上架报错 ( 我们检测到您的应用程序包含未经认证的广告SDK或未经批准用于儿童导向服务的SDK )
【错误记录】Google Play 上架报错 ( 我们检测到您的应用程序包含未经认证的广告SDK或未经批准用于儿童导向服务的SDK )
0 0
【错误记录】Flutter 构建报错 ( Error: Method not found: ‘CupertinoModalPopupRoute‘. | 下载最新 Flutter SDK 版本 )
【错误记录】Flutter 构建报错 ( Error: Method not found: ‘CupertinoModalPopupRoute‘. | 下载最新 Flutter SDK 版本 )
0 0
【错误记录】Flutter 插件报错 ( Methods marked with @UiThread must be executed on the main thread. | 更新最新 SDK )(二)
【错误记录】Flutter 插件报错 ( Methods marked with @UiThread must be executed on the main thread. | 更新最新 SDK )(二)
0 0
【错误记录】Flutter 插件报错 ( Methods marked with @UiThread must be executed on the main thread. | 更新最新 SDK )(一)
【错误记录】Flutter 插件报错 ( Methods marked with @UiThread must be executed on the main thread. | 更新最新 SDK )(一)
0 0
【错误记录】Flutter 报错 ( Dart SDK is not configured )
【错误记录】Flutter 报错 ( Dart SDK is not configured )
0 0
react-native run-android报错的原因,SDK位置未指定
react-native run-android报错的原因,SDK位置未指定
0 0
百度地图Android SDK报错:Error inflating class com.baidu.mapapi.map.MapView
在自己的开发的Android应用中调用百度地图Android SDK,发生运行时错误,如图: 该错误:Error inflating class com.baidu.mapapi.map.MapView 解决方案: 解决该问题需要添加一段代码,即,在初始化百度地图之前首先调用百度地图自身的初始化方法代码: SDKInitializer.initialize(getApplicationContext()); 即可。
1348 0
安装J2EE的SDK报错:could not find the required version of the Java(TM)2 Runtime Environment in '(null)'的解决
原文地址: http://www.cnblogs.com/tearer/archive/2012/06/21/2557980.html   安装J2EE的SDK报错:could not find the required version of the Java(TM)2 Runtime Environment in '(null)'的解决办法。
486 0
Android Studio下载SDK的链接
Android Studio下载SDK的链接
0 0
+关注
su9257_海澜
一个爱讲故事的无趣灵魂
文章
问答
文章排行榜
最热
最新
相关电子书
更多
从 SDK 到编解码:视频直播架构解析
立即下载
跨平台的云服务SDK需要什么
立即下载
一个跨平台的云服务SDK需要什么
立即下载